#
# Conditional build:
%bcond_without	qch	# documentation in QCH format

%define		orgname		qtx11extras
%define		qtbase_ver	%{version}
%define		qttools_ver	%{version}
Summary:	The Qt5 X11 Extras library
Summary(pl.UTF-8):	Biblioteka Qt5 X11 Extras
Name:		qt5-%{orgname}
Version:	5.5.1
Release:	1
License:	LGPL v2.1 with Digia Qt LGPL Exception v1.1 or GPL v3.0
Group:		X11/Libraries
Source0:	http://download.qt.io/official_releases/qt/5.5/%{version}/submodules/%{orgname}-opensource-src-%{version}.tar.xz
# Source0-md5:	cc5977f99ac4732950b4710cd69e148b
URL:		http://www.qt.io/
BuildRequires:	Qt5Core-devel >= %{qtbase_ver}
BuildRequires:	Qt5Gui-devel >= %{qtbase_ver}
%if %{with qch}
BuildRequires:	qt5-assistant >= %{qttools_ver}
%endif
BuildRequires:	qt5-build >= %{qtbase_ver}
BuildRequires:	qt5-qmake >= %{qtbase_ver}
BuildRequires:	rpmbuild(macros) >= 1.654
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fno-strict-aliasing
%define		qt5dir		%{_libdir}/qt5

%description
Qt is a cross-platform application and UI framework. Using Qt, you can
write web-enabled applications once and deploy them across desktop,
mobile and embedded systems without rewriting the source code.

This package contains Qt5 X11 Extras library.

%description -l pl.UTF-8
Qt to wieloplatformowy szkielet aplikacji i interfejsów użytkownika.
Przy użyciu Qt można pisać aplikacje powiązane z WWW i wdrażać je w
systemach biurkowych, przenośnych i wbudowanych bez przepisywania kodu
źródłowego.

Ten pakiet zawiera bibliotekę Qt5 X11 Extras.

%package -n Qt5X11Extras
Summary:	The Qt5 X11 Extras library
Summary(pl.UTF-8):	Biblioteka Qt5 X11 Extras
Group:		Libraries
Requires:	Qt5Core >= %{qtbase_ver}
Requires:	Qt5Gui >= %{qtbase_ver}
Obsoletes:	qt5-qtx11extas

%description -n Qt5X11Extras
Qt5 X11 Extras library provides classes for developing for the X11
platform.

%description -n Qt5X11Extras -l pl.UTF-8
Biblioteka Qt5 X11 Extras dostarcza klasy do tworzenia oprogramowania
dla platformy X11.

%package -n Qt5X11Extras-devel
Summary:	Qt5 X11 Extras - development files
Summary(pl.UTF-8):	Biblioteka Qt5 X11 Extras - pliki programistyczne
Group:		X11/Development/Libraries
Requires:	OpenGL-devel
Requires:	Qt5Core-devel >= %{qtbase_ver}
Requires:	Qt5Gui-devel >= %{qtbase_ver}
Requires:	Qt5X11Extras = %{version}-%{release}
Obsoletes:	qt5-qtx11extas-devel

%description -n Qt5X11Extras-devel
Qt5 X11 Extras - development files.

%description -n Qt5X11Extras-devel -l pl.UTF-8
Biblioteka Qt5 X11 Extras - pliki programistyczne.

%package doc
Summary:	Qt5 X11 Extras documentation in HTML format
Summary(pl.UTF-8):	Dokumentacja do biblioteki Qt5 X11 Extras w formacie HTML
Group:		Documentation
Requires:	qt5-doc-common >= %{qtbase_ver}
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description doc
Qt5 X11 Extras documentation in HTML format.

%description doc -l pl.UTF-8
Dokumentacja do biblioteki Qt5 X11 Extras w formacie HTML.

%package doc-qch
Summary:	Qt5 X11 Extras documentation in QCH format
Summary(pl.UTF-8):	Dokumentacja do biblioteki Qt5 X11 Extras w formacie QCH
Group:		Documentation
Requires:	qt5-doc-common >= %{qtbase_ver}
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description doc-qch
Qt5 X11 Extras documentation in QCH format.

%description doc-qch -l pl.UTF-8
Dokumentacja do biblioteki Qt5 X11 Extras w formacie QCH.

%prep
%setup -q -n %{orgname}-opensource-src-%{version}

%build
qmake-qt5
%{__make}
%{__make} %{!?with_qch:html_}docs

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

%{__make} install_%{!?with_qch:html_}docs \
	INSTALL_ROOT=$RPM_BUILD_ROOT

# useless symlinks
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libQt5*.so.5.?
# actually drop *.la, follow policy of not packaging them when *.pc exist
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libQt5*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n Qt5X11Extras -p /sbin/ldconfig
%postun	-n Qt5X11Extras -p /sbin/ldconfig

%files -n Qt5X11Extras
%defattr(644,root,root,755)
%doc LGPL_EXCEPTION.txt dist/changes-*
%attr(755,root,root) %{_libdir}/libQt5X11Extras.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libQt5X11Extras.so.5

%files -n Qt5X11Extras-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libQt5X11Extras.so
%{_libdir}/libQt5X11Extras.prl
%{_includedir}/qt5/QtX11Extras
%{_pkgconfigdir}/Qt5X11Extras.pc
%{_libdir}/cmake/Qt5X11Extras
%{qt5dir}/mkspecs/modules/qt_lib_x11extras.pri
%{qt5dir}/mkspecs/modules/qt_lib_x11extras_private.pri

%files doc
%defattr(644,root,root,755)
%{_docdir}/qt5-doc/qtx11extras

%if %{with qch}
%files doc-qch
%defattr(644,root,root,755)
%{_docdir}/qt5-doc/qtx11extras.qch
%endif
%changelog
* Tue Nov 17 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qt5-qtx11extras.git;a=log;h=master

* Sat Nov 14 2015 Jakub Bogusz <qboosh@pld-linux.org> 2f0741b
- updated to 5.5.1

* Sat Jun 13 2015 Elan Ruusamäe <glen@delfi.ee> 9647195
- up to 5.4.2

* Tue Mar 03 2015 Jan Rękorajski <baggins@pld-linux.org> 077d70e
- up to 5.4.1

* Tue Mar 03 2015 Jan Rękorajski <baggins@pld-linux.org> baac477
- up to 5.4.1

* Thu Oct 16 2014 Jan Rękorajski <baggins@pld-linux.org> b560de4
- up to 5.3.2

* Sat Jul 05 2014 Jakub Bogusz <qboosh@pld-linux.org> 119959f
- updated to 5.3.1

* Mon Jun 30 2014 Jakub Bogusz <qboosh@pld-linux.org> af0e3e0
- typo

* Wed Jun 18 2014 Jakub Bogusz <qboosh@pld-linux.org> 9e6389d
- updated to 5.3.0, finished

* Wed Jun 18 2014 Jakub Bogusz <qboosh@pld-linux.org> 9d319cb
- pl, partially cleaned up/unified with other qt5-*

* Mon Dec 30 2013 Elan Ruusamäe <glen@delfi.ee> f321e7b
- noarch -docs

* Mon Dec 30 2013 Elan Ruusamäe <glen@delfi.ee> d37a326
- tar.xz deps

* Mon Dec 30 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 3fa6e4d
- new

